data:extend(
{

  {
    type = "item",
    name = "small-worm-hatching-exhausted",
    icon = "__Natural_Evolution_Buildings__/graphics/icons/small-worm-exhausted.png",
    flags = {"goes-to-quickbar"},
    subgroup = "worms",
    order = "a[small-worm]",
    --place_result = "small-worm-turret_player",
    stack_size = 10
  },
  
  {
    type = "item",
    name = "small-worm-hatching",
    icon = "__base__/graphics/icons/small-worm.png",
    flags = {"goes-to-quickbar"},
    subgroup = "worms",
    order = "a[small-worm]",
    place_result = "small-worm-turret_player",
    stack_size = 10
  },
  
  {
    type = "item",
    name = "medium-worm-hatching",
    icon = "__base__/graphics/icons/medium-worm.png",
    flags = {"goes-to-quickbar"},
    subgroup = "worms",
    order = "b[medium-worm]",
    place_result = "medium-worm-turret",
    stack_size = 10
  },

  {
    type = "item",
    name = "big-worm-hatching",
    icon = "__base__/graphics/icons/big-worm.png",
    flags = {"goes-to-quickbar"},
    subgroup = "worms",
    order = "c[big-worm]",
    place_result = "big-worm-turret",
    stack_size = 10
  },

})

data:extend(
{
  {
    type = "turret",
    name = "small-worm-turret_player",
    icon = "__base__/graphics/icons/small-worm.png",
    flags = {"placeable-neutral","placeable-player", "not-repairable", "player-creation", "breaths-air"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "small-worm-hatching-exhausted"},
    order="b-b-d",
    max_health = 200,
    --subgroup="enemies",
    healing_per_tick = 0.01,
    collision_box = {{-0.9, -0.8 }, {0.9, 0.8}},
    selection_box = {{-0.9, -0.8 }, {0.9, 0.8}},
    shooting_cursor_size = 3,
    corpse = "small-worm-corpse",
    dying_explosion = "blood-explosion-big",
    dying_sound = make_worm_dying_sounds(0.8),
    folded_speed = 0.01,
    folded_animation = worm_folded_animation(small_worm_scale, small_worm_tint),
    prepare_range = 25,
    preparing_speed = 0.025,
    preparing_animation = worm_preparing_animation(small_worm_scale, small_worm_tint, "forward"),
    prepared_speed = 0.015,
    prepared_animation = worm_prepared_animation(small_worm_scale, small_worm_tint),
    starting_attack_speed = 0.03,
    starting_attack_animation = worm_attack_animation(small_worm_scale, small_worm_tint, "forward"),
    starting_attack_sound = make_worm_roars(0.75),
    ending_attack_speed = 0.03,
    ending_attack_animation = worm_attack_animation(small_worm_scale, small_worm_tint, "backward"),
    folding_speed = 0.015,
    folding_animation =  worm_preparing_animation(small_worm_scale, small_worm_tint, "backward"),
    attack_parameters =
    {
      type = "projectile",
      ammo_category = "bullet",
      cooldown = 15,
      range = 17,
      projectile_creation_distance = 1.8,
      ammo_type =
      {
        category = "biological",
        action =
        {
          type = "direct",
          action_delivery =
          {
            type = "projectile",
            projectile = "acid-projectile-purple",
            starting_speed = 0.5
          }
        }
      }
    },
  },
}
)
